package com.sunxung.factoring.entity.project.vo;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

/**
 * <p>
 * 股权冻结列表信息
 * </p>
 *
 * @author liutao
 * @since 2023-11-21
 */
public class CEquityFreezeData {

    private static final long serialVersionUID = 1L;

    private Long id;
    /**
     * 执行通知书文号
     */
    private String docNo;

    /**
     * 被执行人
     */
    private String beExecuted;

    /**
     * 冻结股权标的企业
     */
    private String freezeCompany;

    /**
     * 股权数额
     */
    private String equityAmount;

    /**
     * 执行法院
     */
    private String executeCourt;

    /**
     * 状态
     */
    private String status;

    /**
     * 冻结开始日期，精确到天，如“2022-01-01”
     */
    private String freezeStartDate;

    /**
     * 冻结结束日期，精确到天，如“2022-01-01”
     */
    private String freezeEndDate;

    /**
     * 股权冻结id
     */
    private Long cEquityFreezeId;

    @JSONField(name = "id")
    private String  idStr;

    /**
     * 股权冻结 0 否 1 是
     */
    private Integer equityFreeze;

    public Integer getEquityFreeze() {
        return equityFreeze;
    }

    public void setEquityFreeze(Integer equityFreeze) {
        this.equityFreeze = equityFreeze;
    }

    public String getIdStr() {
        return idStr;
    }

    public void setIdStr(String idStr) {
        this.idStr = idStr;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getDocNo() {
        return docNo;
    }

    public void setDocNo(String docNo) {
        this.docNo = docNo;
    }
    public String getBeExecuted() {
        return beExecuted;
    }

    public void setBeExecuted(String beExecuted) {
        this.beExecuted = beExecuted;
    }
    public String getFreezeCompany() {
        return freezeCompany;
    }

    public void setFreezeCompany(String freezeCompany) {
        this.freezeCompany = freezeCompany;
    }
    public String getEquityAmount() {
        return equityAmount;
    }

    public void setEquityAmount(String equityAmount) {
        this.equityAmount = equityAmount;
    }
    public String getExecuteCourt() {
        return executeCourt;
    }

    public void setExecuteCourt(String executeCourt) {
        this.executeCourt = executeCourt;
    }
    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }
    public String getFreezeStartDate() {
        return freezeStartDate;
    }

    public void setFreezeStartDate(String freezeStartDate) {
        this.freezeStartDate = freezeStartDate;
    }
    public String getFreezeEndDate() {
        return freezeEndDate;
    }

    public void setFreezeEndDate(String freezeEndDate) {
        this.freezeEndDate = freezeEndDate;
    }
    public Long getcEquityFreezeId() {
        return cEquityFreezeId;
    }

    public void setcEquityFreezeId(Long cEquityFreezeId) {
        this.cEquityFreezeId = cEquityFreezeId;
    }

    @Override
    public String toString() {
        return "CEquityFreezeData{" +
            "docNo=" + docNo +
            ", beExecuted=" + beExecuted +
            ", freezeCompany=" + freezeCompany +
            ", equityAmount=" + equityAmount +
            ", executeCourt=" + executeCourt +
            ", status=" + status +
            ", freezeStartDate=" + freezeStartDate +
            ", freezeEndDate=" + freezeEndDate +
            ", cEquityFreezeId=" + cEquityFreezeId +
        "}";
    }
}
